summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Behnel <stefan_ml@behnel.de>2021-07-17 01:03:33 +0200
committerStefan Behnel <stefan_ml@behnel.de>2021-07-17 01:03:33 +0200
commit5b8f5277fdca04b50b906af9ca1851e7f9191163 (patch)
tree81e0ae37f66d09f787bdccc29e71e6e718705812
parent549175ece534bc96d08f0570452f733df2c993ff (diff)
downloadpython-lxml-5b8f5277fdca04b50b906af9ca1851e7f9191163.tar.gz
User older, compatible coverage version in CI.
-rw-r--r--tools/ci-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/ci-run.sh b/tools/ci-run.sh
index 588a3247..6fd27637 100644
--- a/tools/ci-run.sh
+++ b/tools/ci-run.sh
@@ -43,7 +43,7 @@ if [ -z "${PYTHON_VERSION##*-dev}" ];
fi
python -m pip install -U beautifulsoup4 cssselect html5lib rnc2rng ${EXTRA_DEPS} || exit 1
if [ "$COVERAGE" == "true" ]; then
- python -m pip install coverage || exit 1
+ python -m pip install "coverage<5" || exit 1
python -m pip install --pre 'Cython>=3.0a0' || exit 1
fi